TR(1)

BEZEICHNUNG
tr - Zeichen umwandeln oder löschen

ÜBERSICHT
tr [OPTION]… MENGE1 [MENGE2]

BESCHREIBUNG

Zeichen aus der Standardeingabe umwandeln, zusammenfassen oder löschen und in die Standardausgabe schreiben.

-c, -C, --complement
    Das Komplement von MENGE1 benutzen

-d, --delete
    Zeichen aus MENGE1 löschen, nicht umwandeln

-s, --squeeze-repeats
    Jede Sequenz mit sich wiederholenden Zeichen aus MENGE1 durch ein einziges Vorkommen dieses Zeichens ersetzen

-t, --truncate-set1
    Zuerst MENGE1 auf die Länge von MENGE2 kürzen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

MENGEn werden als Zeichenketten angegeben. Die meisten Zeichen stehen für sich selbst. Interpretierte Folgen sind:

\NNN
    Zeichen mit Oktalwert NNN (1 bis 3 oktale Ziffern)

\\  Rückschrägstrich (»backslash«)

\a  Hörbarer Ton (Piep)

\b  Rückschritt (»backspace«)

\f  Seitenvorschub

\n  Zeilenumbruch

\r  Wagenrücklauf

\t  Horizontaler Tabulator

\v  Vertikaler Tabulator

ZEICHEN1-ZEICHEN2
    Alle Zeichen von ZEICHEN1 bis ZEICHEN2 in aufsteigender Reihenfolge

[ZEICHEN*]
    In MENGE2 Kopien von ZEICHEN bis zur Länge von MENGE1

[ZEICHEN*ANZAHL]
    ANZAHL Kopien von ZEICHEN, ANZAHL ist oktal, wenn sie mit 0 beginnt

[:alnum:]
    Alle Buchstaben und Ziffern

[:alpha:]
    Alle Buchstaben

[:blank:]
    Alle horizontalen Leerräume (»whitespace«)

[:cntrl:]
    Alle Steuerzeichen

[:digit:]
    Alle Ziffern

[:graph:]
    Alle druckbaren Zeichen, ohne Leerzeichen

[:lower:]
    Alle Kleinbuchstaben

[:print:]
    Alle druckbaren Zeichen, einschließlich Leerzeichen

[:punct:]
    Alle Satzzeichen

[:space:]
    Alle horizontalen oder vertikalen Leerräume (»whitespace«)

[:upper:]
    Alle Großbuchstaben

[:xdigit:]
    Alle hexadezimalen Ziffern

[=ZEICHEN=]
    Alle Zeichen, die äquivalent zu ZEICHEN sind

Die Umwandlung wird durchgeführt, wenn -d nicht angegeben ist und sowohl MENGE1 als auch MENGE2 angegeben sind. -t darf nur bei der Umwandlung benutzt werden. MENGE2 wird, wenn nötig, durch Wiederholung des letzten Zeichens auf die Länge von MENGE1 vergrößert. Zusätzliche Zeichen in MENGE2 werden ignoriert. Nur [:lower:] und [:upper:] werden mit Sicherheit in aufsteigender Reihenfolge expandiert. Beim Umwandeln dürfen sie in MENGE2 nur in Paaren benutzt werden, um die Umwandlung einer Groß-/Kleinschreibung anzugeben. -s benutzt die zuletzt angegebene MENGE und erfolgt nach dem Umwandeln oder Löschen.

AUTOR
Geschrieben von Jim Meyering.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von tr an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2017 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/tr>
oder lokal verfügbar mit: info '(coreutils) tr invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.